## com.sun.grizzly
Class SelectionKeyContextTask

    java.lang.Object
      com.sun.grizzly.ContextTask
          com.sun.grizzly.SelectionKeyContextTask

All Implemented Interfaces:
  Callable

Direct Known Subclasses:
  AsyncQueueReaderContextTask, AsyncQueueWriterContextTask, CallbackHandlerContextTask, ProtocolChainContextTask

    public abstract class SelectionKeyContextTask

extends ContextTask

Basic class for all `ContextTask`s, which are dealing with `SelectionKey`s

Author:
  Alexey Stashok

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.grizzly.ContextTask
`ContextTask.TaskPool<E extends ContextTask>`

Field Summary

Fields inherited from class com.sun.grizzly.ContextTask
`context`

Constructor Summary
`SelectionKeyContextTask()`

Method Summary
`protected void` `afterCall()`
`protected void` `beforeCall()`
`Object` `call()`
`protected abstract Object` `doCall()`

Methods inherited from class com.sun.grizzly.ContextTask
`getContext, offer, recycle, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectionKeyContextTask

    public SelectionKeyContextTask()

Method Detail

### call

    public final Object call()
                      throws Exception

  Throws:
    `Exception`

### beforeCall

    protected void beforeCall()

### afterCall

    protected void afterCall()

### doCall

    protected abstract Object doCall()
                              throws Exception

  Throws:
    `Exception`

Copyright © 2008 SUN Microsystems. All Rights Reserved.